PageRenderTime 84ms CodeModel.GetById 25ms app.highlight 50ms RepoModel.GetById 1ms app.codeStats 1ms

/crypto/heimdal/admin/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 996 lines | 882 code | 89 blank | 25 comment | 155 complexity | 98d417977ab29781958ab3507ac908f1 MD5 | raw file
  1# Makefile.in generated by automake 1.11.1 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
  6# Inc.
  7# This Makefile.in is free software; the Free Software Foundation
  8# gives unlimited permission to copy and/or distribute it,
  9# with or without modifications, as long as this notice is preserved.
 10
 11# This program is distributed in the hope that it will be useful,
 12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 14# PARTICULAR PURPOSE.
 15
 16@SET_MAKE@
 17
 18# $Id$
 19
 20# $Id$
 21
 22# $Id$
 23
 24VPATH = @srcdir@
 25pkgdatadir = $(datadir)/@PACKAGE@
 26pkgincludedir = $(includedir)/@PACKAGE@
 27pkglibdir = $(libdir)/@PACKAGE@
 28pkglibexecdir = $(libexecdir)/@PACKAGE@
 29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 30install_sh_DATA = $(install_sh) -c -m 644
 31install_sh_PROGRAM = $(install_sh) -c
 32install_sh_SCRIPT = $(install_sh) -c
 33INSTALL_HEADER = $(INSTALL_DATA)
 34transform = $(program_transform_name)
 35NORMAL_INSTALL = :
 36PRE_INSTALL = :
 37POST_INSTALL = :
 38NORMAL_UNINSTALL = :
 39PRE_UNINSTALL = :
 40POST_UNINSTALL = :
 41build_triplet = @build@
 42host_triplet = @host@
 43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 44	$(top_srcdir)/Makefile.am.common \
 45	$(top_srcdir)/cf/Makefile.am.common ChangeLog
 46sbin_PROGRAMS = ktutil$(EXEEXT)
 47subdir = admin
 48ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 49am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
 50	$(top_srcdir)/cf/auth-modules.m4 \
 51	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
 52	$(top_srcdir)/cf/broken-glob.m4 \
 53	$(top_srcdir)/cf/broken-realloc.m4 \
 54	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
 55	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
 56	$(top_srcdir)/cf/capabilities.m4 \
 57	$(top_srcdir)/cf/check-compile-et.m4 \
 58	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
 59	$(top_srcdir)/cf/check-man.m4 \
 60	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
 61	$(top_srcdir)/cf/check-type-extra.m4 \
 62	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
 63	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
 64	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
 65	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
 66	$(top_srcdir)/cf/find-func-no-libs.m4 \
 67	$(top_srcdir)/cf/find-func-no-libs2.m4 \
 68	$(top_srcdir)/cf/find-func.m4 \
 69	$(top_srcdir)/cf/find-if-not-broken.m4 \
 70	$(top_srcdir)/cf/framework-security.m4 \
 71	$(top_srcdir)/cf/have-struct-field.m4 \
 72	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
 73	$(top_srcdir)/cf/krb-bigendian.m4 \
 74	$(top_srcdir)/cf/krb-func-getlogin.m4 \
 75	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
 76	$(top_srcdir)/cf/krb-readline.m4 \
 77	$(top_srcdir)/cf/krb-struct-spwd.m4 \
 78	$(top_srcdir)/cf/krb-struct-winsize.m4 \
 79	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
 80	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
 81	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
 82	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
 83	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
 84	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
 85	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
 86	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
 87	$(top_srcdir)/cf/roken-frag.m4 \
 88	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
 89	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
 90	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
 91	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
 92	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
 93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 94	$(ACLOCAL_M4)
 95mkinstalldirs = $(install_sh) -d
 96CONFIG_HEADER = $(top_builddir)/include/config.h
 97CONFIG_CLEAN_FILES =
 98CONFIG_CLEAN_VPATH_FILES =
 99am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
100PROGRAMS = $(sbin_PROGRAMS)
101dist_ktutil_OBJECTS = add.$(OBJEXT) change.$(OBJEXT) copy.$(OBJEXT) \
102	destroy.$(OBJEXT) get.$(OBJEXT) ktutil.$(OBJEXT) \
103	list.$(OBJEXT) purge.$(OBJEXT) remove.$(OBJEXT) \
104	rename.$(OBJEXT)
105nodist_ktutil_OBJECTS = ktutil-commands.$(OBJEXT)
106ktutil_OBJECTS = $(dist_ktutil_OBJECTS) $(nodist_ktutil_OBJECTS)
107ktutil_LDADD = $(LDADD)
108am__DEPENDENCIES_1 =
109ktutil_DEPENDENCIES = $(top_builddir)/lib/kadm5/libkadm5clnt.la \
110	$(top_builddir)/lib/krb5/libkrb5.la $(am__DEPENDENCIES_1) \
111	$(top_builddir)/lib/asn1/libasn1.la \
112	$(top_builddir)/lib/sl/libsl.la $(am__DEPENDENCIES_1) \
113	$(am__DEPENDENCIES_1)
114depcomp = $(SHELL) $(top_srcdir)/depcomp
115am__depfiles_maybe = depfiles
116am__mv = mv -f
117COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
118	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
119LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
120	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
121	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
122CCLD = $(CC)
123LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
124	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
125	$(LDFLAGS) -o $@
126SOURCES = $(dist_ktutil_SOURCES) $(nodist_ktutil_SOURCES)
127DIST_SOURCES = $(dist_ktutil_SOURCES)
128am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129am__vpath_adj = case $$p in \
130    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131    *) f=$$p;; \
132  esac;
133am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134am__install_max = 40
135am__nobase_strip_setup = \
136  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137am__nobase_strip = \
138  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139am__nobase_list = $(am__nobase_strip_setup); \
140  for p in $$list; do echo "$$p $$p"; done | \
141  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143    if (++n[$$2] == $(am__install_max)) \
144      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145    END { for (dir in files) print dir, files[dir] }'
146am__base_list = \
147  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149man8dir = $(mandir)/man8
150MANS = $(man_MANS)
151ETAGS = etags
152CTAGS = ctags
153DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
154ACLOCAL = @ACLOCAL@
155AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
156AMTAR = @AMTAR@
157AR = @AR@
158ASN1_COMPILE = @ASN1_COMPILE@
159ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
160AUTOCONF = @AUTOCONF@
161AUTOHEADER = @AUTOHEADER@
162AUTOMAKE = @AUTOMAKE@
163AWK = @AWK@
164CANONICAL_HOST = @CANONICAL_HOST@
165CAPNG_CFLAGS = @CAPNG_CFLAGS@
166CAPNG_LIBS = @CAPNG_LIBS@
167CATMAN = @CATMAN@
168CATMANEXT = @CATMANEXT@
169CC = @CC@
170CCDEPMODE = @CCDEPMODE@
171CFLAGS = @CFLAGS@
172COMPILE_ET = @COMPILE_ET@
173CPP = @CPP@
174CPPFLAGS = @CPPFLAGS@
175CYGPATH_W = @CYGPATH_W@
176DBHEADER = @DBHEADER@
177DBLIB = @DBLIB@
178DEFS = @DEFS@
179DEPDIR = @DEPDIR@
180DIR_com_err = @DIR_com_err@
181DIR_hcrypto = @DIR_hcrypto@
182DIR_hdbdir = @DIR_hdbdir@
183DIR_roken = @DIR_roken@
184DLLTOOL = @DLLTOOL@
185DSYMUTIL = @DSYMUTIL@
186DUMPBIN = @DUMPBIN@
187ECHO_C = @ECHO_C@
188ECHO_N = @ECHO_N@
189ECHO_T = @ECHO_T@
190EGREP = @EGREP@
191EXEEXT = @EXEEXT@
192FGREP = @FGREP@
193GREP = @GREP@
194GROFF = @GROFF@
195INCLUDES_roken = @INCLUDES_roken@
196INCLUDE_hcrypto = @INCLUDE_hcrypto@
197INCLUDE_hesiod = @INCLUDE_hesiod@
198INCLUDE_krb4 = @INCLUDE_krb4@
199INCLUDE_libedit = @INCLUDE_libedit@
200INCLUDE_libintl = @INCLUDE_libintl@
201INCLUDE_openldap = @INCLUDE_openldap@
202INCLUDE_readline = @INCLUDE_readline@
203INCLUDE_sqlite3 = @INCLUDE_sqlite3@
204INSTALL = @INSTALL@
205INSTALL_DATA = @INSTALL_DATA@
206INSTALL_PROGRAM = @INSTALL_PROGRAM@
207INSTALL_SCRIPT = @INSTALL_SCRIPT@
208INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
209LD = @LD@
210LDFLAGS = @LDFLAGS@
211LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
212LEX = @LEX@
213LEXLIB = @LEXLIB@
214LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
215LIBADD_roken = @LIBADD_roken@
216LIBOBJS = @LIBOBJS@
217LIBS = @LIBS@
218LIBTOOL = @LIBTOOL@
219LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
220LIB_NDBM = @LIB_NDBM@
221LIB_XauFileName = @LIB_XauFileName@
222LIB_XauReadAuth = @LIB_XauReadAuth@
223LIB_XauWriteAuth = @LIB_XauWriteAuth@
224LIB_bswap16 = @LIB_bswap16@
225LIB_bswap32 = @LIB_bswap32@
226LIB_com_err = @LIB_com_err@
227LIB_com_err_a = @LIB_com_err_a@
228LIB_com_err_so = @LIB_com_err_so@
229LIB_crypt = @LIB_crypt@
230LIB_db_create = @LIB_db_create@
231LIB_dbm_firstkey = @LIB_dbm_firstkey@
232LIB_dbopen = @LIB_dbopen@
233LIB_dispatch_async_f = @LIB_dispatch_async_f@
234LIB_dlopen = @LIB_dlopen@
235LIB_dn_expand = @LIB_dn_expand@
236LIB_dns_search = @LIB_dns_search@
237LIB_door_create = @LIB_door_create@
238LIB_freeaddrinfo = @LIB_freeaddrinfo@
239LIB_gai_strerror = @LIB_gai_strerror@
240LIB_getaddrinfo = @LIB_getaddrinfo@
241LIB_gethostbyname = @LIB_gethostbyname@
242LIB_gethostbyname2 = @LIB_gethostbyname2@
243LIB_getnameinfo = @LIB_getnameinfo@
244LIB_getpwnam_r = @LIB_getpwnam_r@
245LIB_getsockopt = @LIB_getsockopt@
246LIB_hcrypto = @LIB_hcrypto@
247LIB_hcrypto_a = @LIB_hcrypto_a@
248LIB_hcrypto_appl = @LIB_hcrypto_appl@
249LIB_hcrypto_so = @LIB_hcrypto_so@
250LIB_hesiod = @LIB_hesiod@
251LIB_hstrerror = @LIB_hstrerror@
252LIB_kdb = @LIB_kdb@
253LIB_krb4 = @LIB_krb4@
254LIB_libedit = @LIB_libedit@
255LIB_libintl = @LIB_libintl@
256LIB_loadquery = @LIB_loadquery@
257LIB_logout = @LIB_logout@
258LIB_logwtmp = @LIB_logwtmp@
259LIB_openldap = @LIB_openldap@
260LIB_openpty = @LIB_openpty@
261LIB_otp = @LIB_otp@
262LIB_pidfile = @LIB_pidfile@
263LIB_readline = @LIB_readline@
264LIB_res_ndestroy = @LIB_res_ndestroy@
265LIB_res_nsearch = @LIB_res_nsearch@
266LIB_res_search = @LIB_res_search@
267LIB_roken = @LIB_roken@
268LIB_security = @LIB_security@
269LIB_setsockopt = @LIB_setsockopt@
270LIB_socket = @LIB_socket@
271LIB_sqlite3 = @LIB_sqlite3@
272LIB_syslog = @LIB_syslog@
273LIB_tgetent = @LIB_tgetent@
274LIPO = @LIPO@
275LN_S = @LN_S@
276LTLIBOBJS = @LTLIBOBJS@
277MAINT = @MAINT@
278MAKEINFO = @MAKEINFO@
279MANIFEST_TOOL = @MANIFEST_TOOL@
280MKDIR_P = @MKDIR_P@
281NM = @NM@
282NMEDIT = @NMEDIT@
283NO_AFS = @NO_AFS@
284NROFF = @NROFF@
285OBJDUMP = @OBJDUMP@
286OBJEXT = @OBJEXT@
287OTOOL = @OTOOL@
288OTOOL64 = @OTOOL64@
289PACKAGE = @PACKAGE@
290PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
291PACKAGE_NAME = @PACKAGE_NAME@
292PACKAGE_STRING = @PACKAGE_STRING@
293PACKAGE_TARNAME = @PACKAGE_TARNAME@
294PACKAGE_URL = @PACKAGE_URL@
295PACKAGE_VERSION = @PACKAGE_VERSION@
296PATH_SEPARATOR = @PATH_SEPARATOR@
297PKG_CONFIG = @PKG_CONFIG@
298PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
299PTHREAD_LDADD = @PTHREAD_LDADD@
300PTHREAD_LIBADD = @PTHREAD_LIBADD@
301RANLIB = @RANLIB@
302SED = @SED@
303SET_MAKE = @SET_MAKE@
304SHELL = @SHELL@
305SLC = @SLC@
306SLC_DEP = @SLC_DEP@
307STRIP = @STRIP@
308VERSION = @VERSION@
309VERSIONING = @VERSIONING@
310WFLAGS = @WFLAGS@
311WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
312WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
313XMKMF = @XMKMF@
314X_CFLAGS = @X_CFLAGS@
315X_EXTRA_LIBS = @X_EXTRA_LIBS@
316X_LIBS = @X_LIBS@
317X_PRE_LIBS = @X_PRE_LIBS@
318YACC = @YACC@
319YFLAGS = @YFLAGS@
320abs_builddir = @abs_builddir@
321abs_srcdir = @abs_srcdir@
322abs_top_builddir = @abs_top_builddir@
323abs_top_srcdir = @abs_top_srcdir@
324ac_ct_AR = @ac_ct_AR@
325ac_ct_CC = @ac_ct_CC@
326ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
327am__include = @am__include@
328am__leading_dot = @am__leading_dot@
329am__quote = @am__quote@
330am__tar = @am__tar@
331am__untar = @am__untar@
332bindir = @bindir@
333build = @build@
334build_alias = @build_alias@
335build_cpu = @build_cpu@
336build_os = @build_os@
337build_vendor = @build_vendor@
338builddir = @builddir@
339datadir = @datadir@
340datarootdir = @datarootdir@
341docdir = @docdir@
342dpagaix_cflags = @dpagaix_cflags@
343dpagaix_ldadd = @dpagaix_ldadd@
344dpagaix_ldflags = @dpagaix_ldflags@
345dvidir = @dvidir@
346exec_prefix = @exec_prefix@
347host = @host@
348host_alias = @host_alias@
349host_cpu = @host_cpu@
350host_os = @host_os@
351host_vendor = @host_vendor@
352htmldir = @htmldir@
353includedir = @includedir@
354infodir = @infodir@
355install_sh = @install_sh@
356libdir = @libdir@
357libexecdir = @libexecdir@
358localedir = @localedir@
359localstatedir = @localstatedir@
360mandir = @mandir@
361mkdir_p = @mkdir_p@
362oldincludedir = @oldincludedir@
363pdfdir = @pdfdir@
364prefix = @prefix@
365program_transform_name = @program_transform_name@
366psdir = @psdir@
367sbindir = @sbindir@
368sharedstatedir = @sharedstatedir@
369srcdir = @srcdir@
370subdirs = @subdirs@
371sysconfdir = @sysconfdir@
372target_alias = @target_alias@
373top_build_prefix = @top_build_prefix@
374top_builddir = @top_builddir@
375top_srcdir = @top_srcdir@
376SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
377DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
378AM_CPPFLAGS = $(INCLUDES_roken) $(INCLUDE_readline) $(INCLUDE_hcrypto)
379@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
380AM_CFLAGS = $(WFLAGS)
381CP = cp
382buildinclude = $(top_builddir)/include
383LIB_el_init = @LIB_el_init@
384LIB_getattr = @LIB_getattr@
385LIB_getpwent_r = @LIB_getpwent_r@
386LIB_odm_initialize = @LIB_odm_initialize@
387LIB_setpcred = @LIB_setpcred@
388HESIODLIB = @HESIODLIB@
389HESIODINCLUDE = @HESIODINCLUDE@
390libexec_heimdaldir = $(libexecdir)/heimdal
391NROFF_MAN = groff -mandoc -Tascii
392LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
393@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
394@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
395
396@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
397LIB_heimbase = $(top_builddir)/base/libheimbase.la
398@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
399man_MANS = ktutil.8
400dist_ktutil_SOURCES = \
401	add.c					\
402	change.c				\
403	copy.c					\
404	destroy.c				\
405	get.c					\
406	ktutil.c				\
407	ktutil_locl.h				\
408	list.c					\
409	purge.c					\
410	remove.c				\
411	rename.c
412
413nodist_ktutil_SOURCES = \
414	ktutil-commands.c
415
416CLEANFILES = ktutil-commands.h ktutil-commands.c
417LDADD = \
418	$(top_builddir)/lib/kadm5/libkadm5clnt.la \
419	$(top_builddir)/lib/krb5/libkrb5.la \
420	$(LIB_hcrypto) \
421	$(top_builddir)/lib/asn1/libasn1.la \
422	$(top_builddir)/lib/sl/libsl.la \
423	$(LIB_readline) \
424	$(LIB_roken)
425
426EXTRA_DIST = NTMakefile ktutil-version.rc $(man_MANS) ktutil-commands.in
427all: all-am
428
429.SUFFIXES:
430.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
431$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
432	@for dep in $?; do \
433	  case '$(am__configure_deps)' in \
434	    *$$dep*) \
435	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
436	        && { if test -f $@; then exit 0; else break; fi; }; \
437	      exit 1;; \
438	  esac; \
439	done; \
440	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign admin/Makefile'; \
441	$(am__cd) $(top_srcdir) && \
442	  $(AUTOMAKE) --foreign admin/Makefile
443.PRECIOUS: Makefile
444Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
445	@case '$?' in \
446	  *config.status*) \
447	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
448	  *) \
449	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
450	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
451	esac;
452
453$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
454	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
455
456$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
457	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
458$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
459	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
460$(am__aclocal_m4_deps):
461install-sbinPROGRAMS: $(sbin_PROGRAMS)
462	@$(NORMAL_INSTALL)
463	test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
464	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
465	for p in $$list; do echo "$$p $$p"; done | \
466	sed 's/$(EXEEXT)$$//' | \
467	while read p p1; do if test -f $$p || test -f $$p1; \
468	  then echo "$$p"; echo "$$p"; else :; fi; \
469	done | \
470	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
471	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
472	sed 'N;N;N;s,\n, ,g' | \
473	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
474	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
475	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
476	    else { print "f", $$3 "/" $$4, $$1; } } \
477	  END { for (d in files) print "f", d, files[d] }' | \
478	while read type dir files; do \
479	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
480	    test -z "$$files" || { \
481	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
482	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
483	    } \
484	; done
485
486uninstall-sbinPROGRAMS:
487	@$(NORMAL_UNINSTALL)
488	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
489	files=`for p in $$list; do echo "$$p"; done | \
490	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
491	      -e 's/$$/$(EXEEXT)/' `; \
492	test -n "$$list" || exit 0; \
493	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
494	cd "$(DESTDIR)$(sbindir)" && rm -f $$files
495
496clean-sbinPROGRAMS:
497	@list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
498	echo " rm -f" $$list; \
499	rm -f $$list || exit $$?; \
500	test -n "$(EXEEXT)" || exit 0; \
501	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
502	echo " rm -f" $$list; \
503	rm -f $$list
504ktutil$(EXEEXT): $(ktutil_OBJECTS) $(ktutil_DEPENDENCIES) 
505	@rm -f ktutil$(EXEEXT)
506	$(LINK) $(ktutil_OBJECTS) $(ktutil_LDADD) $(LIBS)
507
508mostlyclean-compile:
509	-rm -f *.$(OBJEXT)
510
511distclean-compile:
512	-rm -f *.tab.c
513
514@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/add.Po@am__quote@
515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/change.Po@am__quote@
516@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/copy.Po@am__quote@
517@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/destroy.Po@am__quote@
518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/get.Po@am__quote@
519@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktutil-commands.Po@am__quote@
520@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktutil.Po@am__quote@
521@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/list.Po@am__quote@
522@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/purge.Po@am__quote@
523@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remove.Po@am__quote@
524@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rename.Po@am__quote@
525
526.c.o:
527@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
528@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
529@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
530@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
531@am__fastdepCC_FALSE@	$(COMPILE) -c $<
532
533.c.obj:
534@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
535@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
536@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
537@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
538@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
539
540.c.lo:
541@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
542@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
543@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
544@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
545@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
546
547mostlyclean-libtool:
548	-rm -f *.lo
549
550clean-libtool:
551	-rm -rf .libs _libs
552install-man8: $(man_MANS)
553	@$(NORMAL_INSTALL)
554	test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
555	@list=''; test -n "$(man8dir)" || exit 0; \
556	{ for i in $$list; do echo "$$i"; done; \
557	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
558	  sed -n '/\.8[a-z]*$$/p'; \
559	} | while read p; do \
560	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
561	  echo "$$d$$p"; echo "$$p"; \
562	done | \
563	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
564	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
565	sed 'N;N;s,\n, ,g' | { \
566	list=; while read file base inst; do \
567	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
568	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
569	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
570	  fi; \
571	done; \
572	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
573	while read files; do \
574	  test -z "$$files" || { \
575	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
576	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
577	done; }
578
579uninstall-man8:
580	@$(NORMAL_UNINSTALL)
581	@list=''; test -n "$(man8dir)" || exit 0; \
582	files=`{ for i in $$list; do echo "$$i"; done; \
583	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
584	  sed -n '/\.8[a-z]*$$/p'; \
585	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
586	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
587	test -z "$$files" || { \
588	  echo " ( cd '$(DESTDIR)$(man8dir)' && rm -f" $$files ")"; \
589	  cd "$(DESTDIR)$(man8dir)" && rm -f $$files; }
590
591ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
592	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
593	unique=`for i in $$list; do \
594	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
595	  done | \
596	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
597	      END { if (nonempty) { for (i in files) print i; }; }'`; \
598	mkid -fID $$unique
599tags: TAGS
600
601TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
602		$(TAGS_FILES) $(LISP)
603	set x; \
604	here=`pwd`; \
605	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
606	unique=`for i in $$list; do \
607	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
608	  done | \
609	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
610	      END { if (nonempty) { for (i in files) print i; }; }'`; \
611	shift; \
612	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
613	  test -n "$$unique" || unique=$$empty_fix; \
614	  if test $$# -gt 0; then \
615	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
616	      "$$@" $$unique; \
617	  else \
618	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
619	      $$unique; \
620	  fi; \
621	fi
622ctags: CTAGS
623CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
624		$(TAGS_FILES) $(LISP)
625	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
626	unique=`for i in $$list; do \
627	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
628	  done | \
629	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
630	      END { if (nonempty) { for (i in files) print i; }; }'`; \
631	test -z "$(CTAGS_ARGS)$$unique" \
632	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
633	     $$unique
634
635GTAGS:
636	here=`$(am__cd) $(top_builddir) && pwd` \
637	  && $(am__cd) $(top_srcdir) \
638	  && gtags -i $(GTAGS_ARGS) "$$here"
639
640distclean-tags:
641	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
642
643distdir: $(DISTFILES)
644	@list='$(MANS)'; if test -n "$$list"; then \
645	  list=`for p in $$list; do \
646	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
647	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
648	  if test -n "$$list" && \
649	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
650	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
651	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
652	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
653	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
654	    exit 1; \
655	  else :; fi; \
656	else :; fi
657	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
658	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
659	list='$(DISTFILES)'; \
660	  dist_files=`for file in $$list; do echo $$file; done | \
661	  sed -e "s|^$$srcdirstrip/||;t" \
662	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
663	case $$dist_files in \
664	  */*) $(MKDIR_P) `echo "$$dist_files" | \
665			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
666			   sort -u` ;; \
667	esac; \
668	for file in $$dist_files; do \
669	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
670	  if test -d $$d/$$file; then \
671	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
672	    if test -d "$(distdir)/$$file"; then \
673	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
674	    fi; \
675	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
676	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
677	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
678	    fi; \
679	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
680	  else \
681	    test -f "$(distdir)/$$file" \
682	    || cp -p $$d/$$file "$(distdir)/$$file" \
683	    || exit 1; \
684	  fi; \
685	done
686	$(MAKE) $(AM_MAKEFLAGS) \
687	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
688	  dist-hook
689check-am: all-am
690	$(MAKE) $(AM_MAKEFLAGS) check-local
691check: check-am
692all-am: Makefile $(PROGRAMS) $(MANS) all-local
693installdirs:
694	for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"; do \
695	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
696	done
697install: install-am
698install-exec: install-exec-am
699install-data: install-data-am
700uninstall: uninstall-am
701
702install-am: all-am
703	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
704
705installcheck: installcheck-am
706install-strip:
707	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
708	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
709	  `test -z '$(STRIP)' || \
710	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
711mostlyclean-generic:
712
713clean-generic:
714	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
715
716distclean-generic:
717	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
718	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
719
720maintainer-clean-generic:
721	@echo "This command is intended for maintainers to use"
722	@echo "it deletes files that may require special tools to rebuild."
723clean: clean-am
724
725clean-am: clean-generic clean-libtool clean-sbinPROGRAMS \
726	mostlyclean-am
727
728distclean: distclean-am
729	-rm -rf ./$(DEPDIR)
730	-rm -f Makefile
731distclean-am: clean-am distclean-compile distclean-generic \
732	distclean-tags
733
734dvi: dvi-am
735
736dvi-am:
737
738html: html-am
739
740html-am:
741
742info: info-am
743
744info-am:
745
746install-data-am: install-man
747	@$(NORMAL_INSTALL)
748	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
749install-dvi: install-dvi-am
750
751install-dvi-am:
752
753install-exec-am: install-sbinPROGRAMS
754	@$(NORMAL_INSTALL)
755	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
756install-html: install-html-am
757
758install-html-am:
759
760install-info: install-info-am
761
762install-info-am:
763
764install-man: install-man8
765
766install-pdf: install-pdf-am
767
768install-pdf-am:
769
770install-ps: install-ps-am
771
772install-ps-am:
773
774installcheck-am:
775
776maintainer-clean: maintainer-clean-am
777	-rm -rf ./$(DEPDIR)
778	-rm -f Makefile
779maintainer-clean-am: distclean-am maintainer-clean-generic
780
781mostlyclean: mostlyclean-am
782
783mostlyclean-am: mostlyclean-compile mostlyclean-generic \
784	mostlyclean-libtool
785
786pdf: pdf-am
787
788pdf-am:
789
790ps: ps-am
791
792ps-am:
793
794uninstall-am: uninstall-man uninstall-sbinPROGRAMS
795	@$(NORMAL_INSTALL)
796	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
797uninstall-man: uninstall-man8
798
799.MAKE: check-am install-am install-data-am install-exec-am \
800	install-strip uninstall-am
801
802.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
803	clean clean-generic clean-libtool clean-sbinPROGRAMS ctags \
804	dist-hook distclean distclean-compile distclean-generic \
805	distclean-libtool distclean-tags distdir dvi dvi-am html \
806	html-am info info-am install install-am install-data \
807	install-data-am install-data-hook install-dvi install-dvi-am \
808	install-exec install-exec-am install-exec-hook install-html \
809	install-html-am install-info install-info-am install-man \
810	install-man8 install-pdf install-pdf-am install-ps \
811	install-ps-am install-sbinPROGRAMS install-strip installcheck \
812	installcheck-am installdirs maintainer-clean \
813	maintainer-clean-generic mostlyclean mostlyclean-compile \
814	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
815	tags uninstall uninstall-am uninstall-hook uninstall-man \
816	uninstall-man8 uninstall-sbinPROGRAMS
817
818
819install-suid-programs:
820	@foo='$(bin_SUIDS)'; \
821	for file in $$foo; do \
822	x=$(DESTDIR)$(bindir)/$$file; \
823	if chown 0:0 $$x && chmod u+s $$x; then :; else \
824	echo "*"; \
825	echo "* Failed to install $$x setuid root"; \
826	echo "*"; \
827	fi; done
828
829install-exec-hook: install-suid-programs
830
831install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
832	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
833	for f in $$foo; do \
834		f=`basename $$f`; \
835		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
836		else file="$$f"; fi; \
837		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
838		: ; else \
839			echo " $(CP) $$file $(buildinclude)/$$f"; \
840			$(CP) $$file $(buildinclude)/$$f; \
841		fi ; \
842	done ; \
843	foo='$(nobase_include_HEADERS)'; \
844	for f in $$foo; do \
845		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
846		else file="$$f"; fi; \
847		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
848		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
849		: ; else \
850			echo " $(CP) $$file $(buildinclude)/$$f"; \
851			$(CP) $$file $(buildinclude)/$$f; \
852		fi ; \
853	done
854
855all-local: install-build-headers
856
857check-local::
858	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
859	  foo=''; elif test '$(CHECK_LOCAL)'; then \
860	  foo='$(CHECK_LOCAL)'; else \
861	  foo='$(PROGRAMS)'; fi; \
862	  if test "$$foo"; then \
863	  failed=0; all=0; \
864	  for i in $$foo; do \
865	    all=`expr $$all + 1`; \
866	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
867	      echo "PASS: $$i"; \
868	    else \
869	      echo "FAIL: $$i"; \
870	      failed=`expr $$failed + 1`; \
871	    fi; \
872	  done; \
873	  if test "$$failed" -eq 0; then \
874	    banner="All $$all tests passed"; \
875	  else \
876	    banner="$$failed of $$all tests failed"; \
877	  fi; \
878	  dashes=`echo "$$banner" | sed s/./=/g`; \
879	  echo "$$dashes"; \
880	  echo "$$banner"; \
881	  echo "$$dashes"; \
882	  test "$$failed" -eq 0 || exit 1; \
883	fi
884
885.x.c:
886	@cmp -s $< $@ 2> /dev/null || cp $< $@
887
888.hx.h:
889	@cmp -s $< $@ 2> /dev/null || cp $< $@
890#NROFF_MAN = nroff -man
891.1.cat1:
892	$(NROFF_MAN) $< > $@
893.3.cat3:
894	$(NROFF_MAN) $< > $@
895.5.cat5:
896	$(NROFF_MAN) $< > $@
897.8.cat8:
898	$(NROFF_MAN) $< > $@
899
900dist-cat1-mans:
901	@foo='$(man1_MANS)'; \
902	bar='$(man_MANS)'; \
903	for i in $$bar; do \
904	case $$i in \
905	*.1) foo="$$foo $$i";; \
906	esac; done ;\
907	for i in $$foo; do \
908		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
909		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
910		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
911	done
912
913dist-cat3-mans:
914	@foo='$(man3_MANS)'; \
915	bar='$(man_MANS)'; \
916	for i in $$bar; do \
917	case $$i in \
918	*.3) foo="$$foo $$i";; \
919	esac; done ;\
920	for i in $$foo; do \
921		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
922		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
923		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
924	done
925
926dist-cat5-mans:
927	@foo='$(man5_MANS)'; \
928	bar='$(man_MANS)'; \
929	for i in $$bar; do \
930	case $$i in \
931	*.5) foo="$$foo $$i";; \
932	esac; done ;\
933	for i in $$foo; do \
934		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
935		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
936		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
937	done
938
939dist-cat8-mans:
940	@foo='$(man8_MANS)'; \
941	bar='$(man_MANS)'; \
942	for i in $$bar; do \
943	case $$i in \
944	*.8) foo="$$foo $$i";; \
945	esac; done ;\
946	for i in $$foo; do \
947		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
948		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
949		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
950	done
951
952dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
953
954install-cat-mans:
955	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
956
957uninstall-cat-mans:
958	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
959
960install-data-hook: install-cat-mans
961uninstall-hook: uninstall-cat-mans
962
963.et.h:
964	$(COMPILE_ET) $<
965.et.c:
966	$(COMPILE_ET) $<
967
968#
969# Useful target for debugging
970#
971
972check-valgrind:
973	tobjdir=`cd $(top_builddir) && pwd` ; \
974	tsrcdir=`cd $(top_srcdir) && pwd` ; \
975	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
976
977#
978# Target to please samba build farm, builds distfiles in-tree.
979# Will break when automake changes...
980#
981
982distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
983	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
984	  if test "$$subdir" != .; then \
985	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
986	  fi ; \
987	done
988
989$(ktutil_OBJECTS): ktutil-commands.h
990
991ktutil-commands.c ktutil-commands.h: ktutil-commands.in
992	$(SLC) $(srcdir)/ktutil-commands.in
993
994# Tell versions [3.59,3.63) of GNU make to not export all variables.
995# Otherwise a system limit (for SysV at least) may be exceeded.
996.NOEXPORT: